# Uses of Interface
org.springframework.http.server.ServerHttpResponse

Packages that use ServerHttpResponse
Package
Description
org.springframework.http.server
Contains an abstraction over server-side HTTP.
org.springframework.web.cors
Support for CORS (Cross-Origin Resource Sharing), based on a common `CorsProcessor` strategy.

## Uses of ServerHttpResponse in org.springframework.http.server

Classes in org.springframework.http.server that implement ServerHttpResponse
Modifier and Type
Class
Description
`class`
`DelegatingServerHttpResponse`
Implementation of `ServerHttpResponse` that delegates all calls to a given target `ServerHttpResponse`.
`class`
`ServletServerHttpResponse`
`ServerHttpResponse` implementation that is based on a `HttpServletResponse`.
Methods in org.springframework.http.server that return ServerHttpResponse
Modifier and Type
Method
Description
`ServerHttpResponse`
DelegatingServerHttpResponse.`getDelegate()`
Returns the target response that this response delegates to.
Methods in org.springframework.http.server with parameters of type ServerHttpResponse
Modifier and Type
Method
Description
`ServerHttpAsyncRequestControl`
ServerHttpRequest.`getAsyncRequestControl(ServerHttpResponse response)`
Return a control that allows putting the request in asynchronous mode so the response remains open until closed explicitly from the current or another thread.
`ServerHttpAsyncRequestControl`
ServletServerHttpRequest.`getAsyncRequestControl(ServerHttpResponse response)`
Constructors in org.springframework.http.server with parameters of type ServerHttpResponse
Modifier
Constructor
Description
``
`DelegatingServerHttpResponse(ServerHttpResponse delegate)`
Create a new `DelegatingServerHttpResponse`.

## Uses of ServerHttpResponse in org.springframework.web.cors

Methods in org.springframework.web.cors with parameters of type ServerHttpResponse
Modifier and Type
Method
Description
`protected boolean`
DefaultCorsProcessor.`handleInternal(ServerHttpRequest request, ServerHttpResponse response, CorsConfiguration config, boolean preFlightRequest)`
Handle the given request.
`protected void`
DefaultCorsProcessor.`rejectRequest(ServerHttpResponse response)`
Invoked when one of the CORS checks failed.